Subject: Re: bug#73215: 14.0.5; What about excluding .dir-locals.el from GNU ELPA tarballs

From: Ikumi Keita <[email-masked]>
Date: Fri, 13 Sep 2024 15:00:45 +0900

Hi Lin,

>>>>> Lin Jian via bug-auctex via Bug reporting list for AUCTeX <bug-auctex@gnu.> Currently, the .dir-locals.el file is included in the GNU ELPA
> tarball[1], which causes this compilation error[2] when doing AOT native
> compilation for Emacs lisp packages in NixOS.

> We can workaround this by skipping native compilation for
> .dir-locals.el.  However, I do not think .dir-locals.el has to be
> included in the GNU ELPA tarball.  In addition, MELPA ignores[3] that
> file by default.

> Could you exclude .dir-locals.el from GNU ELPA tarball?  FYI,
> :ignored-files[4] of GNU ELPA specification can be used to do this.

Thanks for your suggestion. I adapted .elpaignore instead to remove
obsolete entries at the same time. I'll close this bug.

Regards,
Ikumi Keita
#StandWithUkraine #StopWarInUkraine
#Gaza #StopMassiveKilling #CeasefireNOW